import request from '@/utils/request'

// 查询代理返佣记录列表
export function listCommissionRecords(query) {
  return request({
    url: '/admin/commission-record/list',
    method: 'get',
    params: query
  })
}

// 获取返佣记录详情
export function getCommissionRecord(id) {
  return request({
    url: '/admin/commission-record/' + id,
    method: 'get'
  })
}

// 导出返佣记录
export function exportCommissionRecord(query) {
  return request({
    url: '/admin/commission-record/export',
    method: 'get',
    params: query
  })
}
